CVE-2005-3966
CVSS4.3
发布时间 :2005-12-03 14:03:00
修订时间 :2011-03-07 21:27:27
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in search.jsp in Java Search Engine (JSE) 0.9.34 allows remote attackers to inject arbitrary web script or HTML via the q parameter.


[CNNVD]Java Search Engine Search.JSP 跨站脚本攻击漏洞(CNNVD-200512-046)

        Java Search Engine (JSE) 0.9.34 的search.jsp存在跨站脚本攻击漏洞。远程攻击者可以借助q参数,注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3966
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3966
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-046
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/2690
(UNKNOWN)  VUPEN  ADV-2005-2690
http://www.securityfocus.com/bid/15687
(UNKNOWN)  BID  15687
http://secunia.com/advisories/17834
(VENDOR_ADVISORY)  SECUNIA  17834
http://www.osvdb.org/21376
(UNKNOWN)  OSVDB  21376
http://pridels0.blogspot.com/2005/12/jse-xss-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2005/12/jse-xss-vuln.html

- 漏洞信息

Java Search Engine Search.JSP 跨站脚本攻击漏洞
中危 跨站脚本
2005-12-03 00:00:00 2005-12-06 00:00:00
远程  
        Java Search Engine (JSE) 0.9.34 的search.jsp存在跨站脚本攻击漏洞。远程攻击者可以借助q参数,注入任意Web脚本或HTML。

- 公告与补丁

        

- 漏洞信息

21376
Java Search Engine (JSE) search.jsp q Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Java Search Engine contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate "q" parameter variables upon submission to the "search.jsp" script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-12-02 Unknow
2005-12-02 Unknow

- 解决方案

Currently, there are no known upgrades or patches to correct this issue. It is possible to correct the flaw by reviewing the source code to ensure that input is properly sanitised.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站